Bug 983433 - Broken obsoletes for texlive-latexmk
Broken obsoletes for texlive-latexmk
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 04:25 EDT by Mattias Ellert
Modified: 2013-11-10 03:03 EST (History)
3 users (show)

See Also:
Fixed In Version: texlive-2013-3.20131021_r31961.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 03:03:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2013-07-11 04:25:48 EDT
Description of problem:

When updating texlive, the discontinued texlive-latexmk packages are left behind.

The packages are obsoleted by texlive-kpathsea-lib

# rpm -q --obsoletes texlive-kpathsea-lib | grep texlive-latexmk
texlive-latexmk < 2013
texlive-latexmk-doc < 2013
texlive-latexmk-fedora-fonts < 2013
texlive-latexmk-bin < 2013

However, the last versions of the packages before discontinuing them had epoch 1, so these obsoletes are not effective in obsoleting these versions. In order for the obsoletes to work they need to have epoch 1 too.

texlive-latexmk < 1:2013
texlive-latexmk-doc < 1:2013
texlive-latexmk-bin < 1:2013

Version-Release number of selected component (if applicable):
texlive-kpathsea-lib-2013-0.1.20130608_r30832

Steps to Reproduce:
1. Update texlive

Actual results:
texlive-latexmk left behind

Expected results:
texlive-latexmk removed
Comment 1 Fedora Update System 2013-10-17 06:55:21 EDT
texlive-2013-1.20131014_r31898.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/texlive-2013-1.20131014_r31898.fc20
Comment 2 Fedora Update System 2013-10-17 06:58:05 EDT
texlive-2013-1.20131014_r31898.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/texlive-2013-1.20131014_r31898.fc19
Comment 3 Fedora Update System 2013-10-17 16:25:58 EDT
Package texlive-2013-1.20131014_r31898.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texlive-2013-1.20131014_r31898.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19153/texlive-2013-1.20131014_r31898.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-11-10 03:03:07 EST
texlive-2013-3.20131021_r31961.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.